<?php
	/*
	* Модуль почты для JohnCMS 3.2.2 v2.6
	* Copyright © 2010-2011 UPcoder.RU Group All Rights Reserved.
	* Coding by Krite 2010-2011
	*/
	defined('_IN_JOHNCMS') or die('Error: restricted access');
	$textl = 'Чтение сообщения';
	$headmod = 'pochta';
	require_once('../incfiles/head.php');
	
	mysql_query("UPDATE `mail_msg` SET `read` = '2' WHERE `id`='" . $id . "' AND `id_kont` = '" . $user_id . "' AND `read` != '2' LIMIT 1");
		$count_msg = @ mysql_result(mysql_query('SELECT COUNT(*) FROM `mail_msg` WHERE `id_kont`=' . $user_id . ' AND `read`=1 AND `spam`=1 AND `delete`!=' . $user_id), 0);
		if($count_msg > 0 && $user_id)
			echo '<div class="menu"><strong><a href="' . $home . '/pochta/index.php?act=new"><span style="color:red;">Новое сообщение [' . $count_msg . ']</span></a></strong></div>';
		echo '<div class="phdr"><h3>Чтение сообщения</h3></div>';
		$result = mysql_query("SELECT * FROM `mail_msg` WHERE `id`='" . $id . "' AND (`id_kont`='" . $user_id . "' OR `id_user`='$user_id') AND `delete`!='" . $user_id . "';");
		$req = mysql_num_rows($result);
		if($req==0)  {
			echo '<div class="rmenu">Сообщения не существует!</div>';
			echo '<div class="bmenu"><a href="'.$home.'/pochta/">Почта</a></div>';
		}
		else {
			
			$row = mysql_fetch_assoc($result);
			$result = mysql_query('SELECT * FROM `users` WHERE `id` = ' . $row['id_user']);
			if(mysql_num_rows($result))
				$res = mysql_fetch_assoc($result);
			else {
				$res['name'] = $row['from'];
				$res['id'] = $row['id_user'];
				$res['ip'] = $row['ip'];
				$res['browser'] = $row['ua'];
			}
			echo '<div class="menu">';
			$text  = checkout($row['msg'], 1, 1);
			if ($set_user['smileys'])
				$text = smileys($text, $res['rights'] >= 1 ? 1 : 0);
			if(!empty($row['file']) && file_exists('../files/pochta/'.$row['file'])) {
				$clas = '';
				$exp = end(explode('.', $row['file']));
				switch($exp) {
					case 'jar':
					case 'jad':
					require_once ('../incfiles/class_pclzip.php');
					$jar = new PclZip('../files/pochta/'.$row['file']);
					$content = $jar->extract(PCLZIP_OPT_BY_NAME, 'META-INF/MANIFEST.MF', PCLZIP_OPT_EXTRACT_AS_STRING);
					if($content) {
						if(preg_match('/(messaging|sms|send|connector\.sms)/i',strtolower($content[0]['content'])))	{
							$clas .= '<br /><span style="color: #FF0000;"><b>Внимание:</b> файл содержит функцию отправки SMS.</span><br/>';
						}
					}
					break;
				}
				$text .='<br /><span class="quote">
				Файл: <a href="'.$home.'/files/pochta/' . $row['file'] . '">' . $row['file'] . '</a> [' . formatsize(@filesize('../files/pochta/'.$row['file'])) . ']</span>'.$clas;
			}
			$subtext = ($row['sys']==1 && $user_id!=$row['id_user'] ? '<a href="'.$home.'/pochta/index.php?act=history&amp;id='.$res['id'].'">История</a> | ':'').'<a href="'.$home.'/pochta/index.php?act=del&amp;id='.$row['id'].'">Удалить</a>'.($row['id_user']==$user_id || $rights > 7 || $row['sys']==2 || $row['spam']==2 ? '':' | <a href="index.php?act=isspam&amp;id='.$row['id'].'">Спам</a>');
			if($row['sys']==2) {
				echo '<strong>Системное сообщение</strong> [' . date('d.m.o в H:i',$row['time']) . ']<br />
				'.$text.'<br />
				<div class="sub">'.$subtext.'</div>';
			}
			else {
				echo show_user($res, 1, ($rights >= 6 && $rights >= $res['rights'] ? 1 : 0), '[' . date('d.m.o в H:i',$row['time']) . ']', $text, $subtext);
			}
			echo '</div>';
			if ($ban['1']) {
				echo '<div class="rmenu">Ваша учетная запись заблокированна. Отправка почты невозможна</div>';
			} else {
				echo '<div class="menu"><form enctype="multipart/form-data" method="post" action="' . $home . '/pochta/index.php?act=add&amp;id='.$res['id'].'"><div>';
				echo '<strong>Сообщение:</strong> (4-'.$pochta['MAX_MESSAGE'].')<br />
				<textarea rows="4" cols="25" name="text"></textarea><br/>
				Прикрепить файл:<br/>';
				echo '<input type="file" name="fail"/><br/>';
				echo '<input type="submit" name="submit" value="Написать"/>
				</div></form></div>';
			}
			echo '<div class="menu"><a href="'.$home.'/pochta/">Почта</a></div>';
		}
	
?>